
--# Misc. labels

include GtkEngine.e

constant docs = `<u><b>Button types</b></u>
with mnemonics`

constant win = create(GtkWindow,"size=150x-1,position=1,border_width=10,$destroy=Quit")

constant panel = create(GtkBox,"orientation=VERTICAL")
    add(win,panel)

constant lbl0 = create(GtkLabel)
    set(lbl0,"markup",docs)
    add(panel,lbl0)

constant lbl1 = create(GtkLabel,"from stock ~ alt-o")
    set(lbl1,"font","8")
    
constant btn1 = create(GtkButton,"gtk-ok")
    add(panel,{lbl1,btn1})

constant lbl2 = create(GtkLabel,"with text label ~ alt-c")
    set(lbl2,"font","8")

constant btn2 = create(GtkButton,"_Click me")
    add(panel,{lbl2,btn2})

constant lbl3 = create(GtkLabel,"toggle button ~ alt-t")
    set(lbl3,"font","8")

constant btn3 = create(GtkToggleButton,"_Toggle me")
    add(panel,{lbl3,btn3})

constant lbl4 = create(GtkLabel,"check button ~ alt-m")
    set(lbl4,"font","8")

constant btn4 = create(GtkCheckButton,"Check _Me!")
    add(panel,{lbl4,btn4})

constant lbl5 = create(GtkLabel,"custom button ~ alt-a")
    set(lbl5,"font","8")

constant btn5 = create(GtkButton,,"Quit") -- 'blank' button
    set(btn5,"tooltip text","Click to quit")
    
constant btnface = create(GtkBox,HORIZONTAL)
    add(btn5,btnface)

constant btnimg = create(GtkImage,"thumbnails/dragon.png")
    set(btnimg,"margin top",5)

constant btnlbl = create(GtkLabel,{
    {"markup with mnemonic","<i>_Away We Go!</i>"},
    {"margin right",10}})
    add(btnface,{btnimg,btnlbl})
    add(panel,{lbl5,btn5})

show_all(win)
main()
